> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Video Content Item



## OpenAPI

````yaml /openapi.json post /api/v1/teams/{team_id}/video-content/items
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/video-content/items:
    post:
      tags:
        - Team Onboarding
      summary: Add Video Content Item
      operationId: add_video_content_item_api_v1_teams__team_id__video_content_items_post
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoContentManualAddRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoContentQueueResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    VideoContentManualAddRequest:
      properties:
        kind:
          type: string
          enum:
            - web_page
            - brief
          title: Kind
          default: web_page
        url:
          anyOf:
            - type: string
              maxLength: 2048
            - type: 'null'
          title: Url
        title:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Title
        instructions:
          anyOf:
            - type: string
              maxLength: 5000
            - type: 'null'
          title: Instructions
        brief_text:
          anyOf:
            - type: string
              maxLength: 12000
            - type: 'null'
          title: Brief Text
        content_urls:
          items:
            $ref: '#/components/schemas/VideoContentPageCandidate'
          type: array
          maxItems: 10
          title: Content Urls
      type: object
      title: VideoContentManualAddRequest
    VideoContentQueueResponse:
      properties:
        sources:
          items:
            $ref: '#/components/schemas/VideoContentQueueSourceResponse'
          type: array
          title: Sources
        items:
          items:
            $ref: '#/components/schemas/VideoContentQueueItemResponse'
          type: array
          title: Items
      type: object
      title: VideoContentQueueResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VideoContentPageCandidate:
      properties:
        url:
          type: string
          maxLength: 2048
          minLength: 1
          title: Url
        title:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Title
        excerpt:
          anyOf:
            - type: string
              maxLength: 2000
            - type: 'null'
          title: Excerpt
        instructions:
          anyOf:
            - type: string
              maxLength: 5000
            - type: 'null'
          title: Instructions
        selected:
          type: boolean
          title: Selected
          default: true
        tags:
          items:
            type: string
            maxLength: 64
          type: array
          maxItems: 20
          title: Tags
        media_type:
          type: string
          maxLength: 50
          title: Media Type
          default: article
        published_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Published At
      type: object
      required:
        - url
      title: VideoContentPageCandidate
    VideoContentQueueSourceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        team_id:
          type: string
          format: uuid
          title: Team Id
        source_url:
          type: string
          title: Source Url
        source_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Type
        default_limit:
          type: integer
          title: Default Limit
          default: 30
        scan_metadata:
          additionalProperties: true
          type: object
          title: Scan Metadata
        last_scanned_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Scanned At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - team_id
        - source_url
        - created_at
        - updated_at
      title: VideoContentQueueSourceResponse
    VideoContentQueueItemResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        team_id:
          type: string
          format: uuid
          title: Team Id
        source_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Source Id
        team_task_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Team Task Id
        kind:
          type: string
          enum:
            - web_page
            - brief
          title: Kind
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        normalized_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalized Url
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        excerpt:
          anyOf:
            - type: string
            - type: 'null'
          title: Excerpt
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        brief_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Brief Text
        sort_order:
          type: integer
          title: Sort Order
        status:
          type: string
          enum:
            - queued
            - excluded
            - drafting
            - awaiting_approval
            - completed
            - failed
          title: Status
        input_metadata:
          additionalProperties: true
          type: object
          title: Input Metadata
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        dispatched_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Dispatched At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - team_id
        - kind
        - sort_order
        - status
        - created_at
        - updated_at
      title: VideoContentQueueItemResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````